function Y = imageplacement(X, width, height, amt, range)

Y = zeros(height, width, size(X,3));

n = round(amt);

for i = 1:n
    fprintf('placement [%d %d] ... ', i, n);
    
    a = 0.4*(1-range);
    cx = round((a+(1-2*a)*rand)*width);
    cy = round((a+(1-2*a)*rand)*height);
    
    xscale = .8 + 0.4*rand;
    yscale = .8 + 0.4*rand;
    angle = rand*360;

    X1 = imresize(X, [round(size(X,1)*yscale), round(size(X,2)*xscale)], 'bilinear');
    X2 = imrotate(X1, angle, 'bilinear');
    
    h1 = size(X2, 1);
    w1 = size(X2, 2);
   
    h2 = round(h1/2)-1;
    w2 = round(w1/2)-1;
    
    sx = max(1, cx-w2);
    sy = max(1, cy-h2);
    
    ex = min(cx+w2, width);
    ey = min(cy+h2, height);
     
    ssx = max(1,w2-cx);
    ssy = max(1,h2-cy);
    
    Y(sy:ey, sx:ex, :) = Y(sy:ey, sx:ex, :) + X2(ssy:ssy+ey-sy, ssx:ssx+ex-sx,:);
    fprintf('done.\n');
end
